Bug Hunting Session
Bug 113254 - FILESAVE: Images not displayed in MSO2010 after a roundtrip in LibreOffice
Summary: FILESAVE: Images not displayed in MSO2010 after a roundtrip in LibreOffice
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium major
Assignee: JoNi
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: PPT
  Show dependency treegraph
 
Reported: 2017-10-18 23:44 UTC by Xisco Faulí
Modified: 2017-11-09 21:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (370.50 KB, application/vnd.ms-powerpoint)
2017-10-18 23:44 UTC, Xisco Faulí
Details
Comparison before and after the RT (342.39 KB, image/png)
2017-10-18 23:46 UTC, Xisco Faulí
Details
another file affected by the same issue (370.50 KB, application/vnd.ms-powerpoint)
2017-10-18 23:48 UTC, Xisco Faulí
Details
yet another one (651.50 KB, application/vnd.ms-powerpoint)
2017-10-18 23:51 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-18 23:44:53 UTC
Created attachment 137091 [details]
sample

Steps to reproduce:
1. Open attached document
2. Save it as .PPT
3. Open the new document in MSO

Observed behaviour: images in the document are gone. See attached screenshot

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 8457b50ffd6e41b4925aef17bed2b5a2f3bf56bd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-18 23:45:49 UTC
Regression introduced by:

author	Jochen Nitschke <j.nitschke+logerrit@ok.de>	2017-08-31 12:13:46 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-09-02 12:10:40 (GMT)
commit	31ee13b5a40715e217711e48753eeb7170e3349c (patch)
tree	116fa315d12b1a9505f91b52917cfbeafa69fba0
parent	1463625ae26900d2461fd72a5a2c894b9f1b8726 (diff)
convert SHAPEFLAG defines to scoped enum ShapeFlag
they were defined in escherex.hxx as SHAPEFLAG_*
and in msdffimp.hxx as SP_*.

Added include for escherex.hxx to msdffimp.hxx.
Filled the missing flag bits.
ShapeFlag::Deleted is not used at the moment.
Convert ADD_SHAPE macro to lambda.
Fix horizontal/vertical mixup in RtfSdrExport::AddLineDimensions.

Comments for flag Connector were wrong. The flag applies to shapes
which ARE connectors.
MSO definition: "connector: A line that is used to connect two
or more shapes and that remains connected to those shapes."
So Rectangles and such with Connector flag don't make sense.

Bisected with bibisect-linux64-6.0

Adding Cc: to Jochen Nitschke
Comment 2 Xisco Faulí 2017-10-18 23:46:47 UTC
Created attachment 137092 [details]
Comparison before and after the RT
Comment 3 Xisco Faulí 2017-10-18 23:48:44 UTC
Created attachment 137093 [details]
another file affected by the same issue
Comment 4 Xisco Faulí 2017-10-18 23:51:37 UTC
Created attachment 137094 [details]
yet another one
Comment 5 Xisco Faulí 2017-10-19 14:52:59 UTC
I've found many documents having this issue. Increasing severity
Comment 6 Xisco Faulí 2017-10-31 13:08:13 UTC
it's not only happening to PPT files, but also to DOC files.

Seen with attachment 92660 [details] from bug 73976
Comment 7 Commit Notification 2017-11-08 16:00:33 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a33306a377e7fa29303395dc361efa262787264

tdf#113254 fix regression - images not displayed in MSO

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2017-11-09 21:47:21 UTC
Verified in

Version: 6.0.0.0.alpha1+
Build ID: f5765d9f621bdc8fd0e1ac5eec1dcab9ae5b5d06
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group

@Joni, Thank you very much for the patch